Control Grid (Arrangement)

- « UI\Controls\Form::setPadded

- UI\Controls\Grid::append »

- PHP Manual
- UI
- Control Grid (Arrangement)

# Control Grid (Arrangement)

(UI 0.9.9)

## Introduction

A Grid is a control which is allows the arrangement of children into a grid

## Class synopsis

class UI\Controls\Grid extends UI\Control {
/* Constants */
const int Fill;
const int Start;
const int Center;
const int End;
const int Leading;
const int Top;
const int Trailing;
const int Bottom;
/* Properties */
protected $controls;
/* Methods */
public append(
UI\Control `$control`,
int `$left`,
int `$top`,
int `$xspan`,
int `$yspan`,
bool `$hexpand`,
int `$halign`,
bool `$vexpand`,
int `$valign`
)
public isPadded(): bool
public setPadded(bool `$padding`)
/* Inherited methods */
public UI\Control::destroy()
public UI\Control::disable()
public UI\Control::enable()
public UI\Control::getParent(): UI\Control
public UI\Control::getTopLevel(): int
public UI\Control::hide()
public UI\Control::isEnabled(): bool
public UI\Control::isVisible(): bool
public UI\Control::setParent(UI\Control `$parent`)
public UI\Control::show()
}

## Predefined Constants

`UI\Controls\Grid::Fill`

`UI\Controls\Grid::Start`

`UI\Controls\Grid::Center`

`UI\Controls\Grid::End`

`UI\Controls\Grid::Leading`

`UI\Controls\Grid::Top`

`UI\Controls\Grid::Trailing`

`UI\Controls\Grid::Bottom`

## Properties

controls

  Contains controls, should not be manipulated directly

## Table of Contents

- UI\Controls\Grid::append — Append Control
- UI\Controls\Grid::isPadded — Padding Detection
- UI\Controls\Grid::setPadded — Set Padding